summaryrefslogtreecommitdiff
path: root/eclass/qt5-build.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-12-23 20:48:53 +0000
committerV3n3RiX <venerix@redcorelinux.org>2017-12-23 20:48:53 +0000
commit51536d2fe4697ba9114d611178bb9e20d3d5b729 (patch)
tree30b91d98e65985a575940ed49e756697c1f049c2 /eclass/qt5-build.eclass
parent4ab6db5717ef23f29320d4c6fb9ebdb8dec1f193 (diff)
gentoo resync : 23.12.2017
Diffstat (limited to 'eclass/qt5-build.eclass')
-rw-r--r--eclass/qt5-build.eclass20
1 files changed, 16 insertions, 4 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 7462ab2059b3..fd29ed1e6c05 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -73,14 +73,26 @@ case ${PV} in
*_alpha*|*_beta*|*_rc*)
# development release
QT5_BUILD_TYPE="release"
- MY_P=${QT5_MODULE}-opensource-src-${PV/_/-}
+
+ if [[ ${QT5_MINOR_VERSION} -ge 10 ]]; then
+ MY_P=${QT5_MODULE}-everywhere-src-${PV/_/-}
+ else
+ MY_P=${QT5_MODULE}-opensource-src-${PV/_/-}
+ fi
+
SRC_URI="https://download.qt.io/development_releases/qt/${PV%.*}/${PV/_/-}/submodules/${MY_P}.tar.xz"
S=${WORKDIR}/${MY_P}
;;
*)
# official stable release
QT5_BUILD_TYPE="release"
- MY_P=${QT5_MODULE}-opensource-src-${PV}
+
+ if [[ ${QT5_MINOR_VERSION} -ge 10 ]]; then
+ MY_P=${QT5_MODULE}-everywhere-src-${PV}
+ else
+ MY_P=${QT5_MODULE}-opensource-src-${PV}
+ fi
+
SRC_URI="https://download.qt.io/official_releases/qt/${PV%.*}/${PV}/submodules/${MY_P}.tar.xz"
S=${WORKDIR}/${MY_P}
;;
@@ -620,8 +632,8 @@ qt5_base_configure() {
# supported; see also https://bugreports.qt.io/browse/QTBUG-36129
#-reduce-relocations
- # let configure automatically detect if GNU gold is available
- #-use-gold-linker
+ # use the system linker (gold will be selected automagically otherwise)
+ $(tc-ld-is-gold && echo -use-gold-linker || echo -no-use-gold-linker)
# disable all platform plugins by default, override in qtgui
-no-xcb -no-eglfs -no-kms -no-gbm -no-directfb -no-linuxfb -no-mirclient